package com.casic.missiles.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.system.SignDetailResponse;
import com.casic.missiles.dto.system.SignListRequest;
import com.casic.missiles.model.system.SystemSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 系统管理-常用工具-签章/签名管理表 Mapper 接口
 * </p>
 *
 * @author wangpeng
 * @since 2022-12-01
 */
public interface SystemSignMapper extends BaseMapper<SystemSign> {

    Long selectMaxSignNo();

    SignDetailResponse selectSignDetailById(Long id);

    List<SystemSign> selectUsableSignList(@Param("userId") Long userId);

    Page<SystemSign> selectSignListPage(Page<SystemSign> page, @Param("request") SignListRequest request);

    List<SystemSign> selectSignList(@Param("request") SignListRequest request);
}
